Bug 1418073 (pim-storage-service-manager) - Review Request: pim-storage-service-manager - Pim Storage Service Manager
Summary: Review Request: pim-storage-service-manager - Pim Storage Service Manager
Keywords:
Status: CLOSED RAWHIDE
Alias: pim-storage-service-manager
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2017-01-31 18:52 UTC by Rex Dieter
Modified: 2017-02-02 18:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-02 18:08:36 UTC
Type: ---
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2017-01-31 18:52:16 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kde-apps/pim-storage-service-manager.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde-apps/pim-storage-service-manager-16.12.1-1.fc25.src.rpm
Description: Pim Storage Service Manager 
Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2017-01-31 18:52:44 UTC
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17528806

Comment 2 Christian Dersch 2017-02-02 15:28:44 UTC
Reviewing

Comment 3 Christian Dersch 2017-02-02 15:49:35 UTC
Approved!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 
     5 files have unknown license. Detailed output of
     licensecheck in /home/review/1418073-pim-storage-service-
     manager/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
==> %{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}}

[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in pim-
     storage-service-manager-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
==> %{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}}

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pim-storage-service-manager-16.12.1-1.fc26.x86_64.rpm
          pim-storage-service-manager-debuginfo-16.12.1-1.fc26.x86_64.rpm
          pim-storage-service-manager-16.12.1-1.fc26.src.rpm
pim-storage-service-manager.x86_64: W: no-documentation
pim-storage-service-manager.x86_64: W: non-conffile-in-etc /etc/xdg/storageservicemanager.categories
pim-storage-service-manager.x86_64: W: non-conffile-in-etc /etc/xdg/storageservicemanager.renamecategories
pim-storage-service-manager.x86_64: W: no-manual-page-for-binary storageservicemanager
pim-storage-service-manager.src:83: W: macro-in-comment %{buildroot}
pim-storage-service-manager.src:83: W: macro-in-comment %{_kf5_datadir}
pim-storage-service-manager.src:83: W: macro-in-comment %{name}
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: pim-storage-service-manager-debuginfo-16.12.1-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
pim-storage-service-manager.x86_64: W: no-documentation
pim-storage-service-manager.x86_64: W: non-conffile-in-etc /etc/xdg/storageservicemanager.categories
pim-storage-service-manager.x86_64: W: non-conffile-in-etc /etc/xdg/storageservicemanager.renamecategories
pim-storage-service-manager.x86_64: W: no-manual-page-for-binary storageservicemanager
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
pim-storage-service-manager (rpmlib, GLIBC filtered):
    /bin/sh
    libKF5AkonadiContact.so.5()(64bit)
    libKF5AkonadiCore.so.5()(64bit)
    libKF5AkonadiWidgets.so.5()(64bit)
    libKF5Auth.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5Contacts.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5Crash.so.5()(64bit)
    libKF5DBusAddons.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5ItemModels.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5Libkdepim.so.5()(64bit)
    libKF5Notifications.so.5()(64bit)
    libKF5NotifyConfig.so.5()(64bit)
    libKF5PimCommon.so.5()(64bit)
    libKF5PimTextEdit.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

pim-storage-service-manager-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
pim-storage-service-manager:
    application()
    application(org.kde.storageservicemanager.desktop)
    pim-storage-service-manager
    pim-storage-service-manager(x86-64)

pim-storage-service-manager-debuginfo:
    pim-storage-service-manager-debuginfo
    pim-storage-service-manager-debuginfo(x86-64)



Source checksums
----------------
http://download.kde.org/stable/applications/16.12.1/src/pim-storage-service-manager-16.12.1.tar.xz :
  CHECKSUM(SHA256) this package     : a35da737986b72b7b99a576532953cd4feda3ae0b5697d0c009f96be6fefaea6
  CHECKSUM(SHA256) upstream package : a35da737986b72b7b99a576532953cd4feda3ae0b5697d0c009f96be6fefaea6


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1418073
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Christian Dersch 2017-02-02 15:50:16 UTC
Forgot to x two checks:

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.

Comment 5 Rex Dieter 2017-02-02 16:45:22 UTC
pkgdb request submitted

Comment 6 Gwyn Ciesla 2017-02-02 17:14:09 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/pim-storage-service-manager

Comment 7 Rex Dieter 2017-02-02 18:08:36 UTC
imported, thanks.


Note You need to log in before you can comment on or make changes to this bug.